**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/18.1/users/retrieve-all-users.md

# Retrieve All Users



<Aside>This endpoint retrieves user records at the domain level. Beginning in v18.1, Admins create and manage users with `user__sys` object records. We strongly recommend using the [Retrieve Object Record Collection](/vault-api/api-reference/18.1/vault-objects/retrieve-object-records) endpoint to retrieve `user__sys` records.

</Aside>
<Endpoint path="/api/{version}/objects/users" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Query Parameters {#query-parameters}

Using the endpoint alone with no optional parameters will retrieve users assigned only to the Vault in which the request is made. For customers with multiple Vaults in their domain, users with Domain Admin, System Admin, and Vault Owner privileges can access user information across different Vaults in the domain by including the optional parameter `vaults` set to one of the following values:

<FieldTable>
| Name | Description |
| --- | --- |
| `vaults=all` | Retrieve all users assigned to all Vaults in your domain. |
| `vaults=-1` | Retrieve all users assigned to all Vaults in your domain except for the Vault in which the request is made. |
| `vaults={Vault IDs}` | Retrieve all users assigned to Vault ID 3003, Vault ID 4004, and Vault ID 5005. Use a comma-separated list of Vault IDs to retrieve users assigned only to the specified Vaults. |
| `exclude_vault_membership` | Optional: Set to `false` to include `vault_membership` fields. If `true` or omitted, `vault_membership` fields are not included in the response. |
| `exclude_app_licensing` | Optional: Set to `false` to include `app_licensing` fields. If `true` or omitted, `app_licensing` fields are not included in the response. |
</FieldTable>
System Admins and Vault Owners must have administrative access to Vault applications referenced in the `vaults` parameter to be able to access users from those Vault.

The response also supports pagination. By default the page limit is set to 200 records. The pagination parameters are:

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/users

```
</CodeExample>

## Request {#request-1}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/users?vaults=all

```
</CodeExample>

## Request {#request-2}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/users?vaults=-1

```
</CodeExample>

## Request {#request-3}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/objects/users?vaults=3003,4004,5005

```
</CodeExample>

## Response (abridged) {#response-abridged}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "size": 200,
    "start": 0,
    "limit": 200,
    "sort": "id asc",
    "users": [
        {
            "user": {
                "id": 25501,
                "user_name__v": "ewoodhouse@veepharm.com",
                "user_first_name__v": "Elaine",
                "user_last_name__v": "Woodhouse"
              }
        },
        {
            "user": {
                "id": 25502,
                "user_name__v": "bashton@veepharm.com",
                "user_first_name__v": "Bruce",
                "user_last_name__v": "Ashton"
              }
        },
        {
            "user": {
                "id": 25503,
                "user_name__v": "tchung@veepharm.com",
                "user_first_name__v": "Thomas",
                "user_last_name__v": "Chung"
              }
        }
      ]
    }

```
</CodeExample>

---

**Previous:** [Retrieve User Metadata](/quality/vault-api/api-reference/18.1/users/retrieve-user-metadata)  
**Next:** [Retrieve User](/quality/vault-api/api-reference/18.1/users/retrieve-user)